import { axios } from '@/utils/request'

//  散件入库类型类型 列表  分页
export const sparePartsPutTypeList = (params) => {
  const url = `/sparePartsPutType/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  散件入库类型类型 列表  不分页
export const sparePartsPutTypeAllList = (params) => {
  return axios({
    url: `/sparePartsPutType/queryList`,
    data: {},
    method: 'post'
  })
}

// 新增/编辑 散件入库类型类型
export const sparePartsPutTypeSave = params => {
  return axios({
    url: '/sparePartsPutType/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(!params.id ? '新增' : '编辑')
    }
  })
}

// 删除 散件入库类型类型
export const sparePartsPutTypeDel = params => {
  return axios({
    url: `/sparePartsPutType/delete/${params.id}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
