import { axios } from '@/utils/request'

//  店内调出类型 列表  分页
export const storeCallOutTypeList = (params) => {
  const url = `/storeCallOutType/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  店内调出类型 列表  不分页
export const storeCallOutTypeAllList = (params) => {
  return axios({
    url: `/storeCallOutType/queryList`,
    data: {},
    method: 'post'
  })
}

// 新增/编辑 店内调出类型
export const storeCallOutTypeSave = params => {
  return axios({
    url: '/storeCallOutType/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(!params.id ? '新增' : '编辑')
    }
  })
}

// 删除 店内调出类型
export const storeCallOutTypeDel = params => {
  return axios({
    url: `/storeCallOutType/delete/${params.id}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
